stable
FEDORA-2017-986a21080d created by spot 5 years ago for Fedora 26

Update to 59.0.3071.115

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2017-986a21080d

This update has been submitted for testing by spot.

5 years ago

This update has been pushed to testing.

5 years ago
User Icon lupinix commented & provided feedback 5 years ago
karma

Does not work :( I get the following error:

/usr/bin/chromium-browser: error while loading shared libraries: libmedia.so: cannot open shared object file: No such file or directory

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

5 years ago
User Icon g6avk commented & provided feedback 5 years ago
karma

Works for me, x86_64

Error(s) in search for dependencies:

 Problem 1: package chromium-59.0.3071.115-2.fc26.x86_64 requires chromium-libs-media(x86-64) = 59.0.3071.115-2.fc26,     but none of the providers can be installed
  - installed package chromium-libs-media-freeworld-59.0.3071.104-1.fc26.x86_64 obsoletes chromium-libs-media provided by chromium-libs-media-59.0.3071.115-2.fc26.x86_64
  - cannot install the best update candidate for package chromium-59.0.3071.104-1.fc26.x86_64
  - problem with installed package chromium-libs-media-freeworld-59.0.3071.104-1.fc26.x86_64
 Problem 2: problem with installed package chromium-59.0.3071.104-1.fc26.x86_64
  - package chromium-59.0.3071.115-2.fc26.x86_64 requires chromium-libs-media(x86-64) = 59.0.3071.115-2.fc26, but none of the providers can be installed
  - package chromium-59.0.3071.104-1.fc26.x86_64 requires chromium-libs(x86-64) = 59.0.3071.104-1.fc26, but none of the providers can be installed
  - installed package chromium-libs-media-freeworld-59.0.3071.104-1.fc26.x86_64 obsoletes chromium-libs-media provided by chromium-libs-media-59.0.3071.115-2.fc26.x86_64
  - cannot install both chromium-libs-59.0.3071.115-2.fc26.x86_64 and chromium-libs-59.0.3071.104-1.fc26.x86_64
  - cannot install both chromium-libs-59.0.3071.104-1.fc26.x86_64 and chromium-libs-59.0.3071.115-2.fc26.x86_64
  - cannot install the best update candidate for package chromium-libs-media-freeworld-59.0.3071.104-1.fc26.x86_64
  • cannot install the best update candidate for package chromium-libs-59.0.3071.104-1.fc26.x86_64
User Icon erinn commented & provided feedback 5 years ago
karma

Same error as lupinix.

Please don't come and downvote this because you have chromium-libs-media-freeworld installed from rpmfusion. They requested this change, but haven't pushed out their part yet. See: https://bugzilla.rpmfusion.org/show_bug.cgi?id=4363

User Icon lupinix commented & provided feedback 5 years ago
karma

For the record, no rpmfusion package installed here.

[lupinix@orion ~ ]$ rpm -qa chromium* chromium-libs-media-59.0.3071.115-2.fc26.x86_64 chromium-libs-59.0.3071.115-2.fc26.x86_64 chromium-59.0.3071.115-2.fc26.x86_64

DNF fallout: Running scriptlet: chromium-libs-media-59.0.3071.115-2.fc26.x86_64 10/123 failed to link /usr/lib64/chromium-browser/libffmpeg.so -> /etc/alternatives/libffmpeg.so: /usr/lib64/chromium-browser/libffmpeg.so exists and it is not a symlink failed to link /usr/lib64/chromium-browser/libffmpeg.so.TOC -> /etc/alternatives/libffmpeg.so.TOC: /usr/lib64/chromium-browser/libffmpeg.so.TOC exists and it is not a symlink failed to link /usr/lib64/chromium-browser/libmedia.so -> /etc/alternatives/libmedia.so: /usr/lib64/chromium-browser/libmedia.so exists and it is not a symlink failed to link /usr/lib64/chromium-browser/libmedia.so.TOC -> /etc/alternatives/libmedia.so.TOC: /usr/lib64/chromium-browser/libmedia.so.TOC exists and it is not a symlink Upgrading : chromium-libs-59.0.3071.115-2.fc26.x86_64 11/123 Running scriptlet: chromium-libs-59.0.3071.115-2.fc26.x86_64 11/123 failed to link /usr/lib64/chromium-browser/libwidevinecdm.so -> /etc/alternatives/libwidevinecdm.so: /usr/lib64/chromium-browser/libwidevinecdm.so exists and it is not a symlink

Installed before (and version working again after downgrade): [lupinix@orion ~ ]$ rpm -qa chromium* chromium-59.0.3071.104-1.fc26.x86_64 chromium-libs-media-59.0.3071.104-1.fc26.x86_64 chromium-libs-59.0.3071.104-1.fc26.x86_64

Thanks lupinix, I see the issue you're hitting now. Building -3 to remedy it.

User Icon lonelywoolf commented & provided feedback 5 years ago
karma

lupinix you will get this error if you enabled rpmfusion testing repos. This is RPMFusion issue. Works.

Not true, I don't have the chromium-libs-media-freeworld package installed nor are any rpmfusion repos enabled and I still get the error.

The error is caused by the transaction ordering. When you do a fresh install of the -2 package, there is no bug, but if you update to the -2 package from any previous chromium packages, you hit the bug. I put the alternatives handling in %post, but %post runs before the old package is removed (https://fedoraproject.org/wiki/Packaging:Scriptlets#Ordering). That means that the files like libffmpeg.so are still present from the old package, and the scriptlets fail. In the -3 package, I moved the alternatives scriptlets to %posttrans, so they run after the old package is completely gone, and this resolves the error. I confirmed that this fixes the issue with a rawhide build, builds for all other targets are going now, and when they finish, I'll put them in the update instead.

@lonelywoolf Did you read my comments? No rpmfusion there… With rpmfusion enabled you get the error mentioned by the anonymous user…

@spot Thanks, will test again when new build is available :)

@lupinix, sorry, you right. Just tested for it now.

spot edited this update.

New build(s):

  • chromium-59.0.3071.115-3.fc26

Removed build(s):

  • chromium-59.0.3071.115-2.fc26

Karma has been reset.

5 years ago

This update has been submitted for testing by spot.

5 years ago
User Icon lupinix commented & provided feedback 5 years ago
karma

Made some basic tests like facebook, youtube etc., this build seems to work fine, thanks :)

User Icon erinn commented & provided feedback 5 years ago
karma

Yep working, thanks Tom for continuing to maintain this.

User Icon g6avk commented & provided feedback 5 years ago
karma

I wasn't hit by previous issues as it was a fresh install on this particular box. Works for me.

User Icon itamarjp commented & provided feedback 5 years ago
karma

works for me, thanks spot.

User Icon greysonsilva commented & provided feedback 5 years ago
karma

it works here. thank you.

This update has been pushed to testing.

5 years ago

This update has been submitted for stable by bodhi.

5 years ago

This update has been pushed to stable.

5 years ago
User Icon retro commented & provided feedback 5 years ago
karma

chromium working and stable on fed 26

Hi. Does this version of chromium contain H.264 MSE & H.264 codecs? https://www.youtube.com/html5?gl=PL&hl=pl

No. We cannot ship H264 support for legal reasons.


Please login to add feedback.

Metadata
Type
bugfix
Karma
6
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
5 years ago
in testing
5 years ago
in stable
5 years ago
modified
5 years ago

Automated Test Results